package router

import (
	"github.com/gin-gonic/gin"
)

func RouterEntry(engine *gin.Engine) {

	routerPlus := NewRouterPlus(engine)

	// 授权
	Auth(routerPlus)
	// 用户模块
	User(routerPlus)
	// 学期
	Term(routerPlus)
	// 班级
	Class(routerPlus)
	// 题库
	QuestionBank(routerPlus)
	// 试题
	Subject(routerPlus)
	// 试卷
	TestPaper(routerPlus)
	// 考试
	Exam(routerPlus)
	// 考试记录
	ExamRecord(routerPlus)
}
